# FMMAX
# Copyright (C) 2025 Martin F. Schubert

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Defines functions related to farfield patterns in the FMM scheme.

These functions are intended for calculations that involve Brillouin
zone integration, and batched in-plane wavevectors as generated by
`basis.brillouin_zone_in_plane_wavevector`.

Copyright (c) Martin F. Schubert
"""

# ruff: noqa: F401
from fmmax._orig.farfield import (
    _angles_from_unflattened_transverse_wavevectors,
    _integrated_flux_upsampled,
    _integrated_flux_weights,
    _solid_angle_from_unflattened_transverse_wavevectors,
    _unflatten,
    _unflatten_flux,
    _unflatten_transverse_wavevectors,
    farfield_integrated_flux,
    farfield_profile,
)
